Bug 171694 - CVE-2003-0542 multiple flaws in Apache (CVE-2003-0542, CVE-2003-0987, CVE-2004-0940)
CVE-2003-0542 multiple flaws in Apache (CVE-2003-0542, CVE-2003-0987, CVE-200...
Status: CLOSED ERRATA
Product: Stronghold for Red Hat Linux
Classification: Retired
Component: stronghold-apache (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 08:21 EDT by Mark J. Cox (Product Security)
Modified: 2007-04-18 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-816
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-02 04:21:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-25 08:21:42 EDT
Several security issues have been found in various packages in Stronghold
4.0:

A flaw in the handling of regular expressions from configuration files
in the Apache HTTP Server could lead to a buffer overflow. To exploit this
issue, an attacker would need to have the ability to write to Apache
configuration files such as .htaccess or httpd.conf. (CVE-2003-0542)

mod_digest did not properly verify the nonce of a client response by using
a AuthNonce secret. This could allow a malicious user who is able to sniff
network traffic to conduct a replay attack against a website using Digest
protection. Note that mod_digest implements an older version of the MD5
Digest Authentication specification which is known not to work with modern
browsers. This issue does not affect mod_auth_digest. (CVE-2003-0987)

A buffer overflow in the Apache proxy module, mod_proxy, which
could be triggered by receiving an invalid Content-Length header. In order
to exploit this issue, an attacker would need an Apache installation
that was configured as a proxy to connect to a malicious site. This would
cause the Apache child processing the request to crash. (CVE-2004-0492)

A buffer overflow in the get_tag function in mod_include allowed local
users who can create SSI documents to execute arbitrary code as the apache
user via SSI (XSSI) documents that trigger a length calculation error.
(CVE-2004-0940)
Comment 1 Joe Orton 2005-10-26 09:46:10 EDT
CVE-2004-0492 does not affect mod_proxy in 1.3.
Comment 2 Red Hat Bugzilla 2005-11-02 04:21:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-816.html

Note You need to log in before you can comment on or make changes to this bug.